Subject: Re: [PATCH] gnutls: Add option to set minimum acceptable Diffie-Hellman key size

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Fri, 15 Jul 2011 19:34:48 +0200

Lawrence Mitchell <[email-masked]> writes:

> With the recent gnutls changes I could no longer send mail with
> STARTTLS since the smtp server I connect to only advertises a D-H
> key with 512bits.  This is smaller than the default value gnutls
> allows and so the connection would be aborted.  This patch adds
> the ability to set the minimum acceptable size of key, so that I
> can send email again!

Thanks; I'll apply your patch.

However, is there any way to make the gnutls library adjust the size
downwards automatically if it's too big?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/